.nice-checkbox {
    display: inline-block;
    vertical-align: top;
    user-select: none;

    input[type=checkbox] {
        position: absolute;
        clip: rect(0, 0, 0, 0);

        &:checked + span {

            &:before {
                display: block;
            }

        }

        &:disabled + span {
            cursor: default;
            opacity: .5;
        }

    }

    span {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
        position: relative;
        height: 25px;
        padding-left: 35px;
        color: #0C0B10;
        font: 500 18px/25px 'Manrope', sans-serif;
        text-align: left;
        cursor: pointer;

        &:after,
        &:before {
            position: absolute;
            box-sizing: border-box;
            content: "";
        }

        &:after {
            top: 0;
            left: 0;
            width: 25px;
            height: 25px;
            border: 1px solid #79655E;
            border-radius: 3px;
        }

        &:before {
            display: none;
            top: 4px;
            left: 9px;
            width: 8px;
            height: 13px;
            border-right: 2px solid #79655E;
            border-bottom: 2px solid #79655E;
            transform: rotate(45deg);
            content: '';
        }
    }
}
